diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
index e72eaa908..18c2f207f 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
@@ -156,24 +156,24 @@ public class SurfaceGeneratorOverworld
                                 fillerBlock = biome.fillerBlock;
                                 if(biomeGeneratesMud)
                                 {
-                                    topBlock = (short) Blocks.MUD.id;
-                                    fillerBlock = (short) Blocks.MUD.id;
+                                    topBlock = (short) Blocks.MUD.id();
+                                    fillerBlock = (short) Blocks.MUD.id();
                                 }
                                 else if(generateGravelBeach)
                                 {
                                     topBlock = 0;
-                                    fillerBlock = (short) Blocks.GRAVEL.id;
+                                    fillerBlock = (short) Blocks.GRAVEL.id();
                                 }
                                 else if(generateSandBeach)
                                 {
-                                    topBlock = (short) Blocks.SAND.id;
-                                    fillerBlock = (short) Blocks.SAND.id;
+                                    topBlock = (short) Blocks.SAND.id();
+                                    fillerBlock = (short) Blocks.SAND.id();
                                 }
                             } else if (y <= oceanY) {
                                 if(biomeGeneratesMud) // Make mud under the ocean always be regular mud
                                 {
-                                    topBlock = (short) Blocks.MUD.id;
-                                    fillerBlock = (short) Blocks.MUD.id;
+                                    topBlock = (short) Blocks.MUD.id();
+                                    fillerBlock = (short) Blocks.MUD.id();
                                 }
                             }
                         }
@@ -208,21 +208,21 @@ public class SurfaceGeneratorOverworld
                             {
                                 if (generateBasaltLayer)
                                 {
-                                    result.setBlock(x, y, z, Blocks.BASALT.id);
+                                    result.setBlock(x, y, z, Blocks.BASALT.id());
                                     continue;
                                 }
                             }
                             if(biome == Biomes.OVERWORLD_GLACIER){
                                 if (y >= (minY + 56 + graniteThicknessLevel/4 - rand.nextInt(3)) && y <= maxY)
                                 {
-                                    result.setBlock(x, y, z, Blocks.PERMAFROST.id);
+                                    result.setBlock(x, y, z, Blocks.PERMAFROST.id());
                                     continue;
                                 }
                             }
                             if(biome == Biomes.OVERWORLD_TUNDRA){
                                 if (y >= (minY + 56 + graniteThicknessLevel/4 - rand.nextInt(3)) && y <= (minY + (56 + 36) + graniteThicknessLevel/8 - rand.nextInt(3)))
                                 {
-                                    result.setBlock(x, y, z, Blocks.PERMAFROST.id);
+                                    result.setBlock(x, y, z, Blocks.PERMAFROST.id());
                                     continue;
                                 }
                             }
@@ -230,7 +230,7 @@ public class SurfaceGeneratorOverworld
                             {
                                 if (generateGraniteLayer)
                                 {
-                                    result.setBlock(x, y, z, Blocks.GRANITE.id);
+                                    result.setBlock(x, y, z, Blocks.GRANITE.id());
                                     continue;
                                 }
                             }
@@ -238,7 +238,7 @@ public class SurfaceGeneratorOverworld
                             {
                                 if (generateLimestoneLayer)
                                 {
-                                    result.setBlock(x, y, z, Blocks.LIMESTONE.id);
+                                    result.setBlock(x, y, z, Blocks.LIMESTONE.id());
                                     continue;
                                 }
                             }
@@ -256,12 +256,12 @@ public class SurfaceGeneratorOverworld
                     // if reached end of filler layer, fill world with sandstone/permafrost if inside a glacier or desert biome
                     if(currentLayerDepth == 0)
                     {
-                        if(biome == Biomes.OVERWORLD_DESERT && fillerBlock == Blocks.SAND.id) {
+                        if(biome == Biomes.OVERWORLD_DESERT && fillerBlock == Blocks.SAND.id()) {
                             currentLayerDepth = rand.nextInt(8) + 2;
-                            fillerBlock = (short)Blocks.SANDSTONE.id;
-                        } else if(biome == Biomes.OVERWORLD_GLACIER && fillerBlock == Blocks.BLOCK_SNOW.id){
+                            fillerBlock = (short)Blocks.SANDSTONE.id();
+                        } else if(biome == Biomes.OVERWORLD_GLACIER && fillerBlock == Blocks.BLOCK_SNOW.id()){
                             currentLayerDepth = rand.nextInt(8) + 14;
-                            fillerBlock = (short)Blocks.PERMAFROST.id;
+                            fillerBlock = (short)Blocks.PERMAFROST.id();
                         }
                     }
                 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
index 75ac3317f..2f3f21a09 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
@@ -30,7 +30,7 @@ public class TerrainGeneratorOverworld
 
         if (y <= type.getMinY() + rand.nextInt(5))
         {
-            return Blocks.BEDROCK.id;
+            return Blocks.BEDROCK.id();
         }
         else if (density > 0.0)
         {
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
index 9ae76f29d..293c58a70 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
@@ -1,13 +1,13 @@
 package net.minecraft.core.world.generate.chunk.perlin.overworld.hell;
 
-import net.minecraft.core.block.BlockSand;
+import net.minecraft.core.block.BlockLogicOreCoal;
+import net.minecraft.core.block.BlockLogicOreDiamond;
+import net.minecraft.core.block.BlockLogicOreGold;
+import net.minecraft.core.block.BlockLogicOreIron;
+import net.minecraft.core.block.BlockLogicOreLapis;
+import net.minecraft.core.block.BlockLogicOreRedstone;
+import net.minecraft.core.block.BlockLogicSand;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.BlockOreCoal;
-import net.minecraft.core.block.BlockOreDiamond;
-import net.minecraft.core.block.BlockOreGold;
-import net.minecraft.core.block.BlockOreIron;
-import net.minecraft.core.block.BlockOreLapis;
-import net.minecraft.core.block.BlockOreRedstone;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
@@ -43,7 +43,7 @@ public class ChunkDecoratorOverworldHell
 
 //        float oreHeightModifier = rangeY / 128f;
 
-        BlockSand.fallInstantly = true;
+        BlockLogicSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
 //        int y = world.getHeightValue(x + 16, z + 16);
@@ -57,7 +57,7 @@ public class ChunkDecoratorOverworldHell
             int i1 = x + rand.nextInt(16) + 8;
             int l4 = minY + rand.nextInt(rangeY);
             int i8 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id)).place(world, rand, i1, l4, i8);
+            (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id())).place(world, rand, i1, l4, i8);
         }
         if(rand.nextInt(16) == 0)
         {
@@ -69,11 +69,11 @@ public class ChunkDecoratorOverworldHell
             {
                 if(rand.nextInt(4) == 0)
                 {
-                    (new WorldFeatureLake(Blocks.OBSIDIAN.id)).place(world, rand, j1, i5, j8);
+                    (new WorldFeatureLake(Blocks.OBSIDIAN.id())).place(world, rand, j1, i5, j8);
                 }
                 else
                 {
-                    (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id)).place(world, rand, j1, i5, j8);
+                    (new WorldFeatureLake(Blocks.FLUID_LAVA_STILL.id())).place(world, rand, j1, i5, j8);
                 }
             }
         }
@@ -84,7 +84,7 @@ public class ChunkDecoratorOverworldHell
             int k23 = minY + rand.nextInt(rangeY / 2);
             int l24 = z + rand.nextInt(16) + 8;
             if(k23 < minY + rangeY / 2) {
-                (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id)).place(world, rand, l21, k23, l24);
+                (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(world, rand, l21, k23, l24);
             }
         }
         for(int k1 = 0; k1 < 8; k1++)
@@ -94,11 +94,11 @@ public class ChunkDecoratorOverworldHell
             int j11 = z + rand.nextInt(16) + 8;
             if (rand.nextInt(2) == 0)
             {
-                (new WorldFeatureDungeon(Blocks.BRICK_CLAY.id, Blocks.BRICK_CLAY.id, null)).place(world, rand, j5, k8, j11);
+                (new WorldFeatureDungeon(Blocks.BRICK_CLAY.id(), Blocks.BRICK_CLAY.id(), null)).place(world, rand, j5, k8, j11);
             }
             else
             {
-                (new WorldFeatureDungeon(Blocks.COBBLE_STONE.id, Blocks.COBBLE_STONE_MOSSY.id, null)).place(world, rand, j5, k8, j11);
+                (new WorldFeatureDungeon(Blocks.COBBLE_STONE.id(), Blocks.COBBLE_STONE_MOSSY.id(), null)).place(world, rand, j5, k8, j11);
             }
         }
 
@@ -130,7 +130,7 @@ public class ChunkDecoratorOverworldHell
             int l5 = x + rand.nextInt(16);
             int i9 = minY + rand.nextInt(rangeY);
             int l11 = z + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.DIRT.id, 32)).place(world, rand, l5, i9, l11);
+            (new WorldFeatureOre(Blocks.DIRT.id(), 32)).place(world, rand, l5, i9, l11);
         }
 
         for(int k2 = 0; k2 < 10; k2++)
@@ -138,7 +138,7 @@ public class ChunkDecoratorOverworldHell
             int i6 = x + rand.nextInt(16);
             int j9 = minY + rand.nextInt(rangeY);
             int i12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.GRAVEL.id, 32)).place(world, rand, i6, j9, i12);
+            (new WorldFeatureOre(Blocks.GRAVEL.id(), 32)).place(world, rand, i6, j9, i12);
         }
 
         for(int i3 = 0; i3 < 20; i3++)
@@ -146,7 +146,7 @@ public class ChunkDecoratorOverworldHell
             int j6 = x + rand.nextInt(16);
             int k9 = minY + rand.nextInt(rangeY);
             int j12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreCoal.variantMap, 16)).place(world, rand, j6, k9, j12);
+            (new WorldFeatureOre(BlockLogicOreCoal.variantMap, 16)).place(world, rand, j6, k9, j12);
         }
 
         for(int j3 = 0; j3 < 20; j3++)
@@ -154,7 +154,7 @@ public class ChunkDecoratorOverworldHell
             int k6 = x + rand.nextInt(16);
             int l9 = minY + rand.nextInt(rangeY / 2);
             int k12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreIron.variantMap, 8)).place(world, rand, k6, l9, k12);
+            (new WorldFeatureOre(BlockLogicOreIron.variantMap, 8)).place(world, rand, k6, l9, k12);
         }
 
         for(int k3 = 0; k3 < 2; k3++)
@@ -162,7 +162,7 @@ public class ChunkDecoratorOverworldHell
             int l6 = x + rand.nextInt(16);
             int i10 = minY + rand.nextInt(rangeY / 4);
             int l12 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreGold.variantMap, 8)).place(world, rand, l6, i10, l12);
+            (new WorldFeatureOre(BlockLogicOreGold.variantMap, 8)).place(world, rand, l6, i10, l12);
         }
 
         for(int l3 = 0; l3 < 8; l3++)
@@ -170,7 +170,7 @@ public class ChunkDecoratorOverworldHell
             int i7 = x + rand.nextInt(16);
             int j10 = minY + rand.nextInt(rangeY / 8);
             int i13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreRedstone.variantMap, 7)).place(world, rand, i7, j10, i13);
+            (new WorldFeatureOre(BlockLogicOreRedstone.variantMap, 7)).place(world, rand, i7, j10, i13);
         }
 
         for(int i4 = 0; i4 < 1; i4++)
@@ -178,7 +178,7 @@ public class ChunkDecoratorOverworldHell
             int j7 = x + rand.nextInt(16);
             int k10 = minY + rand.nextInt(rangeY / 8);
             int j13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreDiamond.variantMap, 7)).place(world, rand, j7, k10, j13);
+            (new WorldFeatureOre(BlockLogicOreDiamond.variantMap, 7)).place(world, rand, j7, k10, j13);
         }
 
         for(int j4 = 0; j4 < 1; j4++)
@@ -186,7 +186,7 @@ public class ChunkDecoratorOverworldHell
             int k7 = x + rand.nextInt(16);
             int l10 = minY + rand.nextInt(rangeY / 8) + rand.nextInt(rangeY / 8);
             int k13 = z + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreLapis.variantMap, 6)).place(world, rand, k7, l10, k13);
+            (new WorldFeatureOre(BlockLogicOreLapis.variantMap, 6)).place(world, rand, k7, l10, k13);
         }
 
         double d = 0.5D;
@@ -204,10 +204,10 @@ public class ChunkDecoratorOverworldHell
             WorldFeature wf;
             if(rand.nextInt(10) == 0)
             {
-                wf = new WorldFeatureTreeFancy(hasLeaves ? Blocks.LEAVES_OAK.id : 0, Blocks.LOG_OAK.id);
+                wf = new WorldFeatureTreeFancy(hasLeaves ? Blocks.LEAVES_OAK.id() : 0, Blocks.LOG_OAK.id());
             } else
             {
-                wf = new WorldFeatureTree(hasLeaves ? Blocks.LEAVES_OAK.id : 0, Blocks.LOG_OAK.id, 4);
+                wf = new WorldFeatureTree(hasLeaves ? Blocks.LEAVES_OAK.id() : 0, Blocks.LOG_OAK.id(), 4);
             }
             wf.init(1.0D, 1.0D, 1.0D);
             wf.place(world, rand, l13, world.getHeightValue(l13, j14), j14);
@@ -219,7 +219,7 @@ public class ChunkDecoratorOverworldHell
             int i17 = x + rand.nextInt(16) + 8;
             int i20 = minY + rand.nextInt(rangeY);
             int l22 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureDeadBush(Blocks.DEADBUSH.id)).place(world, rand, i17, i20, l22);
+            (new WorldFeatureDeadBush(Blocks.DEADBUSH.id())).place(world, rand, i17, i20, l22);
         }
 
         for(int l18 = 0; l18 < 5; l18++)
@@ -227,7 +227,7 @@ public class ChunkDecoratorOverworldHell
             int l21 = x + rand.nextInt(16) + 8;
             int k23 = minY + rand.nextInt(rand.nextInt(rangeY - 8) + 8);
             int l24 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id)).place(world, rand, l21, k23, l24);
+            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(world, rand, l21, k23, l24);
         }
 
         for(int i19 = 0; i19 < 20; i19++)
@@ -235,7 +235,7 @@ public class ChunkDecoratorOverworldHell
             int i22 = x + rand.nextInt(16) + 8;
             int l23 = minY + rand.nextInt(rand.nextInt(rand.nextInt(rangeY - rangeY / 8) + 8) + 8);
             int i25 = z + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id)).place(world, rand, i22, l23, i25);
+            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(world, rand, i22, l23, i25);
         }
 
         if (world.getBlockId(x, minY + world.getWorldType().getOceanY() - 1, z) == world.getWorldType().getOceanBlockId())
@@ -243,7 +243,7 @@ public class ChunkDecoratorOverworldHell
             world.setBlockWithNotify(x, minY + world.getWorldType().getOceanY() - 1, z, world.getWorldType().getOceanBlockId());
         }
 
-        BlockSand.fallInstantly = false;
+        BlockLogicSand.fallInstantly = false;
 
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
index 59f9cb22b..b10498dcc 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
@@ -1,12 +1,12 @@
 package net.minecraft.core.world.generate.chunk.perlin.overworld.retro;
 
-import net.minecraft.core.block.BlockSand;
+import net.minecraft.core.block.BlockLogicOreCoal;
+import net.minecraft.core.block.BlockLogicOreDiamond;
+import net.minecraft.core.block.BlockLogicOreGold;
+import net.minecraft.core.block.BlockLogicOreIron;
+import net.minecraft.core.block.BlockLogicOreRedstone;
+import net.minecraft.core.block.BlockLogicSand;
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.BlockOreCoal;
-import net.minecraft.core.block.BlockOreDiamond;
-import net.minecraft.core.block.BlockOreGold;
-import net.minecraft.core.block.BlockOreIron;
-import net.minecraft.core.block.BlockOreRedstone;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
@@ -46,7 +46,7 @@ public class ChunkDecoratorOverworldRetro
         int maxY = world.getWorldType().getMaxY();
         int rangeY = (maxY + 1) - minY;
 
-        BlockSand.fallInstantly = true;
+        BlockLogicSand.fallInstantly = true;
         int k = chunkX * 16;
         int l = chunkZ * 16;
         Random rand = new Random(world.getRandomSeed());
@@ -58,7 +58,7 @@ public class ChunkDecoratorOverworldRetro
             int i4 = k + rand.nextInt(16) + 8;
             int j6 = minY + rand.nextInt(rangeY);
             int i11 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureDungeon(Blocks.COBBLE_STONE.id, Blocks.COBBLE_STONE_MOSSY.id, null)).place(world, rand, i4, j6, i11);
+            (new WorldFeatureDungeon(Blocks.COBBLE_STONE.id(), Blocks.COBBLE_STONE_MOSSY.id(), null)).place(world, rand, i4, j6, i11);
         }
 
         for (int j1 = 0; j1 < 10; j1++)
@@ -74,7 +74,7 @@ public class ChunkDecoratorOverworldRetro
             int k4 = k + rand.nextInt(16);
             int l6 = minY + rand.nextInt(rangeY);
             int k11 = l + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.DIRT.id, 32)).place(world, rand, k4, l6, k11);
+            (new WorldFeatureOre(Blocks.DIRT.id(), 32)).place(world, rand, k4, l6, k11);
         }
 
         for (int i2 = 0; i2 < 10; i2++)
@@ -82,7 +82,7 @@ public class ChunkDecoratorOverworldRetro
             int l4 = k + rand.nextInt(16);
             int i7 = minY + rand.nextInt(rangeY);
             int l11 = l + rand.nextInt(16);
-            (new WorldFeatureOre(Blocks.GRAVEL.id, 32)).place(world, rand, l4, i7, l11);
+            (new WorldFeatureOre(Blocks.GRAVEL.id(), 32)).place(world, rand, l4, i7, l11);
         }
 
         for (int j2 = 0; j2 < 20; j2++)
@@ -90,7 +90,7 @@ public class ChunkDecoratorOverworldRetro
             int i5 = k + rand.nextInt(16);
             int j7 = minY + rand.nextInt(rangeY);
             int i12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreCoal.variantMap, 16)).place(world, rand, i5, j7, i12);
+            (new WorldFeatureOre(BlockLogicOreCoal.variantMap, 16)).place(world, rand, i5, j7, i12);
         }
 
         for (int k2 = 0; k2 < 20; k2++)
@@ -98,7 +98,7 @@ public class ChunkDecoratorOverworldRetro
             int j5 = k + rand.nextInt(16);
             int k7 = minY + rand.nextInt(rangeY / 2);
             int j12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreIron.variantMap, 8)).place(world, rand, j5, k7, j12);
+            (new WorldFeatureOre(BlockLogicOreIron.variantMap, 8)).place(world, rand, j5, k7, j12);
         }
 
         for (int i3 = 0; i3 < 2; i3++)
@@ -106,7 +106,7 @@ public class ChunkDecoratorOverworldRetro
             int k5 = k + rand.nextInt(16);
             int l7 = minY + rand.nextInt(rangeY / 4);
             int k12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreGold.variantMap, 8)).place(world, rand, k5, l7, k12);
+            (new WorldFeatureOre(BlockLogicOreGold.variantMap, 8)).place(world, rand, k5, l7, k12);
         }
 
         for (int j3 = 0; j3 < 8; j3++)
@@ -114,7 +114,7 @@ public class ChunkDecoratorOverworldRetro
             int l5 = k + rand.nextInt(16);
             int i8 = minY + rand.nextInt(rangeY / 8);
             int l12 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreRedstone.variantMap, 7)).place(world, rand, l5, i8, l12);
+            (new WorldFeatureOre(BlockLogicOreRedstone.variantMap, 7)).place(world, rand, l5, i8, l12);
         }
 
         for (int k3 = 0; k3 < 1; k3++)
@@ -122,7 +122,7 @@ public class ChunkDecoratorOverworldRetro
             int i6 = k + rand.nextInt(16);
             int j8 = minY + rand.nextInt(rangeY / 8);
             int i13 = l + rand.nextInt(16);
-            (new WorldFeatureOre(BlockOreDiamond.variantMap, 7)).place(world, rand, i6, j8, i13);
+            (new WorldFeatureOre(BlockLogicOreDiamond.variantMap, 7)).place(world, rand, i6, j8, i13);
         }
 
         double d = 0.5D;
@@ -135,17 +135,17 @@ public class ChunkDecoratorOverworldRetro
         {
             l3++;
         }
-        Object obj = new WorldFeatureTree(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id, 4);
+        WorldFeature tree = new WorldFeatureTree(Blocks.LEAVES_OAK_RETRO.id(), Blocks.LOG_OAK.id(), 4);
         if (rand.nextInt(10) == 0)
         {
-            obj = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK_RETRO.id, Blocks.LOG_OAK.id);
+            tree = new WorldFeatureTreeFancy(Blocks.LEAVES_OAK_RETRO.id(), Blocks.LOG_OAK.id());
         }
         for (int k8 = 0; k8 < l3; k8++)
         {
             int j13 = k + rand.nextInt(16) + 8;
             int l15 = l + rand.nextInt(16) + 8;
-            ((WorldFeature)(obj)).init(1.0D, 1.0D, 1.0D);
-            ((WorldFeature)(obj)).place(world, rand, j13, world.getHeightValue(j13, l15), l15);
+            tree.init(1.0D, 1.0D, 1.0D);
+            tree.place(world, rand, j13, world.getHeightValue(j13, l15), l15);
         }
 
         for (int l8 = 0; l8 < 2; l8++)
@@ -153,7 +153,7 @@ public class ChunkDecoratorOverworldRetro
             int k13 = k + rand.nextInt(16) + 8;
             int i16 = minY + rand.nextInt(rangeY);
             int j18 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_YELLOW.id, 64, false)).place(world, rand, k13, i16, j18);
+            (new WorldFeatureFlowers(Blocks.FLOWER_YELLOW.id(), 64, false)).place(world, rand, k13, i16, j18);
         }
 
         if (rand.nextInt(2) == 0)
@@ -161,21 +161,21 @@ public class ChunkDecoratorOverworldRetro
             int i9 = k + rand.nextInt(16) + 8;
             int l13 = minY + rand.nextInt(rangeY);
             int j16 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.FLOWER_RED.id, 64, false)).place(world, rand, i9, l13, j16);
+            (new WorldFeatureFlowers(Blocks.FLOWER_RED.id(), 64, false)).place(world, rand, i9, l13, j16);
         }
         if (rand.nextInt(4) == 0)
         {
             int j9 = k + rand.nextInt(16) + 8;
             int i14 = minY + rand.nextInt(rangeY);
             int k16 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.MUSHROOM_BROWN.id, 64, false)).place(world, rand, j9, i14, k16);
+            (new WorldFeatureFlowers(Blocks.MUSHROOM_BROWN.id(), 64, false)).place(world, rand, j9, i14, k16);
         }
         if (rand.nextInt(8) == 0)
         {
             int k9 = k + rand.nextInt(16) + 8;
             int j14 = minY + rand.nextInt(rangeY);
             int l16 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureFlowers(Blocks.MUSHROOM_RED.id, 64, false)).place(world, rand, k9, j14, l16);
+            (new WorldFeatureFlowers(Blocks.MUSHROOM_RED.id(), 64, false)).place(world, rand, k9, j14, l16);
         }
         for (int l9 = 0; l9 < 10; l9++)
         {
@@ -198,7 +198,7 @@ public class ChunkDecoratorOverworldRetro
             int i15 = k + rand.nextInt(16) + 8;
             int k17 = minY + rand.nextInt(rand.nextInt(rangeY - 8) + 8);
             int i19 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id)).place(world, rand, i15, k17, i19);
+            (new WorldFeatureLiquid(Blocks.FLUID_WATER_FLOWING.id())).place(world, rand, i15, k17, i19);
         }
 
         for (int k10 = 0; k10 < 20; k10++)
@@ -206,27 +206,27 @@ public class ChunkDecoratorOverworldRetro
             int j15 = k + rand.nextInt(16) + 8;
             int l17 = minY + rand.nextInt(rand.nextInt(rand.nextInt(rangeY / 2 - rangeY / 8) + 8) + 8);
             int j19 = l + rand.nextInt(16) + 8;
-            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id)).place(world, rand, j15, l17, j19);
+            (new WorldFeatureLiquid(Blocks.FLUID_LAVA_FLOWING.id())).place(world, rand, j15, l17, j19);
         }
 
-        for (int l10 = k + 8 + 0; l10 < k + 8 + 16; l10++)
+        for (int l10 = k + 8; l10 < k + 8 + 16; l10++)
         {
-            for (int k15 = l + 8 + 0; k15 < l + 8 + 16; k15++)
+            for (int k15 = l + 8; k15 < l + 8 + 16; k15++)
             {
                 int i18 = world.findTopSolidBlock(l10, k15);
                 if (snowCovered && i18 > minY && i18 <= maxY && world.getBlockId(l10, i18, k15) == 0 && world.getBlockMaterial(l10, i18 - 1, k15).blocksMotion() && world.getBlockMaterial(l10, i18 - 1, k15) != Material.ice)
                 {
-                    world.setBlockWithNotify(l10, i18, k15, Blocks.LAYER_SNOW.id);
+                    world.setBlockWithNotify(l10, i18, k15, Blocks.LAYER_SNOW.id());
                 }
                 if (snowCovered && world.getBlockMaterial(l10, world.getWorldType().getOceanY() - 1, k15) == Material.water)
                 {
-                    world.setBlockWithNotify(l10, world.getWorldType().getOceanY() - 1, k15, Blocks.ICE.id);
+                    world.setBlockWithNotify(l10, world.getWorldType().getOceanY() - 1, k15, Blocks.ICE.id());
                 }
             }
 
         }
 
-        BlockSand.fallInstantly = false;
+        BlockLogicSand.fallInstantly = false;
         world.scheduledUpdatesAreImmediate = false;
     }
 }
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java
index b2994f9ea..8ff58e0fb 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblock.java
@@ -17,10 +17,10 @@ public class ChunkDecoratorSkyblock
     public void decorate(Chunk chunk) {
         // Starting island
         if (contains(chunk, -1, 1)) {
-            new WorldFeatureTree(Blocks.LEAVES_OAK.id, Blocks.LOG_OAK.id, 6).place(chunk.world, new Random(0), -1, 67, 1);
+            new WorldFeatureTree(Blocks.LEAVES_OAK.id(), Blocks.LOG_OAK.id(), 6).place(chunk.world, new Random(0), -1, 67, 1);
         }
         if (contains(chunk, 4, -3)) {
-            chunk.setBlockIDWithMetadata(4 & (Chunk.CHUNK_SIZE_X - 1), 67, -3 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id, 3);
+            chunk.setBlockIDWithMetadata(4 & (Chunk.CHUNK_SIZE_X - 1), 67, -3 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id(), 3);
             TileEntity tileEntity = chunk.getBlockEntity(4 & (Chunk.CHUNK_SIZE_X - 1), 67, -3 & (Chunk.CHUNK_SIZE_Z - 1));
             if (tileEntity instanceof TileEntityChest) {
                 TileEntityChest chestEntity = (TileEntityChest) tileEntity;
@@ -31,7 +31,7 @@ public class ChunkDecoratorSkyblock
 
         // Desert island
         if (contains(chunk, -67, 0)) {
-            chunk.setBlockIDWithMetadata(-67 & (Chunk.CHUNK_SIZE_X - 1), 67, 0 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id, 1);
+            chunk.setBlockIDWithMetadata(-67 & (Chunk.CHUNK_SIZE_X - 1), 67, 0 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id(), 1);
             TileEntity tileEntity = chunk.getBlockEntity(-67 & (Chunk.CHUNK_SIZE_X - 1), 67, 0 & (Chunk.CHUNK_SIZE_Z - 1));
             if (tileEntity instanceof TileEntityChest) {
                 TileEntityChest chestEntity = (TileEntityChest) tileEntity;
diff --git a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java
index 7d792f205..a457e4a81 100644
--- a/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java
+++ b/game/core/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkDecoratorSkyblockNether.java
@@ -23,7 +23,7 @@ public class ChunkDecoratorSkyblockNether
 
         // Chest
         if (contains(chunk, 1, -1)) {
-            chunk.setBlockIDWithMetadata(1 & (Chunk.CHUNK_SIZE_X - 1), 66, -1 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id, 3);
+            chunk.setBlockIDWithMetadata(1 & (Chunk.CHUNK_SIZE_X - 1), 66, -1 & (Chunk.CHUNK_SIZE_Z - 1), Blocks.CHEST_PLANKS_OAK.id(), 3);
             TileEntity tileEntity = chunk.getBlockEntity(1 & (Chunk.CHUNK_SIZE_X - 1), 66, -1 & (Chunk.CHUNK_SIZE_Z - 1));
             if (tileEntity != null) {
                 TileEntityChest tileEntityChest = (TileEntityChest) tileEntity;
@@ -34,8 +34,8 @@ public class ChunkDecoratorSkyblockNether
         }
 
         // Mushrooms
-        tryPlace(chunk, 1, 66, 0, Blocks.MUSHROOM_BROWN.id);
-        tryPlace(chunk, -1, 66, 1, Blocks.MUSHROOM_RED.id);
+        tryPlace(chunk, 1, 66, 0, Blocks.MUSHROOM_BROWN.id());
+        tryPlace(chunk, -1, 66, 1, Blocks.MUSHROOM_RED.id());
     }
 
     private boolean contains(Chunk chunk, int xBlock, int zBlock) {
